summaryrefslogtreecommitdiffstats
path: root/maven/make-tests-clean.sh
diff options
context:
space:
mode:
authorMark Raynsford <[email protected]>2014-07-11 19:09:32 +0000
committerMark Raynsford <[email protected]>2014-07-11 19:09:32 +0000
commit6c2d8d425df5436663f85a5cf0a5396ae3de7d6f (patch)
treeb3fc7345e4494517327832306b8b4317a2050228 /maven/make-tests-clean.sh
parentc386cf285bfaf797c6779189c09e42d68e43b102 (diff)
Add jogl-main, nativewindow-main, newt-main - frontends for the atomics
packages that allow for pulling in all platform natives easily. Add test suite. Bug: 1023
Diffstat (limited to 'maven/make-tests-clean.sh')
-rwxr-xr-xmaven/make-tests-clean.sh25
1 files changed, 25 insertions, 0 deletions
diff --git a/maven/make-tests-clean.sh b/maven/make-tests-clean.sh
new file mode 100755
index 0000000..9869060
--- /dev/null
+++ b/maven/make-tests-clean.sh
@@ -0,0 +1,25 @@
+#!/bin/sh -ex
+
+info()
+{
+ echo "make-tests-clean: info: $1" 1>&2
+}
+
+fatal()
+{
+ echo "make-tests-clean: fatal: $1" 1>&2
+ exit 1
+}
+
+CURRENT_DIR=`pwd` ||
+ fatal "could not save current working directory"
+
+cd tests
+
+rm -f pom.xml
+
+for d in test-*
+do
+ rm -f "${d}/pom.xml"
+done
+